public static interface InfinispanRemoteEndpointBuilderFactory.InfinispanRemoteBuilders
| Modifier and Type | Method and Description |
|---|---|
default InfinispanRemoteEndpointBuilderFactory.InfinispanRemoteEndpointBuilder |
infinispan(String path)
Infinispan (camel-infinispan)
Read and write from/to Infinispan distributed key/value store and
data grid.
|
default InfinispanRemoteEndpointBuilderFactory.InfinispanRemoteEndpointBuilder |
infinispan(String componentName,
String path)
Infinispan (camel-infinispan)
Read and write from/to Infinispan distributed key/value store and
data grid.
|
default InfinispanRemoteEndpointBuilderFactory.InfinispanRemoteEndpointBuilder infinispan(String path)
infinispan:cacheName
Path parameter: cacheName (required)
The name of the cache to use. Use current to use the existing cache
name from the currently configured cached manager. Or use default for
the default cache manager name.path - cacheNamedefault InfinispanRemoteEndpointBuilderFactory.InfinispanRemoteEndpointBuilder infinispan(String componentName, String path)
infinispan:cacheName
Path parameter: cacheName (required)
The name of the cache to use. Use current to use the existing cache
name from the currently configured cached manager. Or use default for
the default cache manager name.componentName - to use a custom component name for the endpoint
instead of the default namepath - cacheNameApache Camel